#include <stdio.h>
#include <stdlib.h>
#include <winb.h>
#include <te.h>
#include <fntb.h>
#include <gui.h>

extern int	pitchDialogId ;
extern int	pitchOkBtnId ;
extern int	pitchOkchk() ;
extern int	pitchPlayBtnId ;
extern int	pitchPlay() ;
extern int	pitchUndoBtnId ;
extern int	pitchUndo() ;
extern int	pitchInfBtnId ;
extern int	pitchInf() ;
extern int	pitchCanBtnId ;
extern int	pitchCanchk() ;
extern int	pitchMesId[20] ;
extern int	pitchSubDialogId ;
extern int	pitchMulVolumeId ;
extern int	pitchMulSet() ;
extern int	pitchMulNumId ;

#define ALIGN	4
#define OFFSET(type) (sizeof(MMIPACKET) + (sizeof(type)+ALIGN-1)/ALIGN*ALIGN)

/*	MMI_init pf[^	*/

/*	wb_	*/

MMIINIT	initDataIOTPCH = { "MmiInit",  29, 0 } ;

/* pitchDialogId */

static MMIPACKET d001 = {	&pitchDialogId,
							NULL,
							&MJ_DIALOGL40,
							OFFSET(DIALOGL40),
							MS_NONE
						} ;
static DIALOGL40	d001d = {	MS_BTLEFTL40 | MS_EVMOSONL40,
							  30, 159, 610, 322, 8, 4, 8,
							MS_SRECTL40 | MS_UFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0
						} ;

/* pitchOkBtnId */

static MMIPACKET d002 = {	&pitchOkBtnId,
							&pitchDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d002d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							  50, 291, 111, 314,12, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							pitchOkchk,
							0x0000
						} ;

/* pitchPlayBtnId */

static MMIPACKET d003 = {	&pitchPlayBtnId,
							&pitchDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d003d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 120, 291, 181, 314, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							pitchPlay,
							0x0000
						} ;

/* pitchUndoBtnId */

static MMIPACKET d004 = {	&pitchUndoBtnId,
							&pitchDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d004d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 190, 291, 251, 314, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							pitchUndo,
							0x0000
						} ;

/* pitchInfBtnId */

static MMIPACKET d005 = {	&pitchInfBtnId,
							&pitchDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d005d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 260, 291, 321, 314, 7, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							pitchInf,
							0x0000
						} ;

/* pitchCanBtnId */

static MMIPACKET d006 = {	&pitchCanBtnId,
							&pitchDialogId,
							&MJ_DBUTTONL40,
							OFFSET(DBUTTONL40),
							MS_NONE
						} ;
static DBUTTONL40	d006d = {	MS_BTLEFTL40 | MS_EVMOSOFFL40 | MS_EVKEYONL40,
							 530, 291, 591, 314,10, 4, 8,
							MS_PANELL40 | MS_FRAMEL40,
							pitchCanchk,
							0x0000
						} ;

/* pitchMesId[0] */

static MMIPACKET d007 = {	&pitchMesId[0],
							&pitchDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d007d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							  60, 294, 103, 311, 8,15, 8,
							MS_NONEL40,
							"  s",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* pitchMesId[1] */

static MMIPACKET d008 = {	&pitchMesId[1],
							&pitchDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d008d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 128, 294, 174, 311, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* pitchMesId[2] */

static MMIPACKET d009 = {	&pitchMesId[2],
							&pitchDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d009d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 196, 294, 247, 311, 8,15, 8,
							MS_NONEL40,
							"AhD",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* pitchMesId[3] */

static MMIPACKET d010 = {	&pitchMesId[3],
							&pitchDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d010d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 265, 294, 316, 311, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* pitchMesId[4] */

static MMIPACKET d011 = {	&pitchMesId[4],
							&pitchDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d011d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 538, 294, 584, 311, 8,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* pitchMesId[5] */

static MMIPACKET d012 = {	&pitchMesId[5],
							&pitchDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d012d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							  53, 163, 173, 181, 8,15, 8,
							MS_NONEL40,
							"sb`Rg[",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* pitchSubDialogId */

static MMIPACKET d013 = {	&pitchSubDialogId,
							&pitchDialogId,
							&MJ_DIALOGL40,
							OFFSET(DIALOGL40),
							MS_NONE
						} ;
static DIALOGL40	d013d = {	MS_BTLEFTL40 | MS_EVMOSONL40 | MS_FIXEDL40,
							  50, 183, 591, 284, 8, 4, 8,
							MS_DFRAMEL40 | MS_FRAMEL40,
							NULL,   0,   0
						} ;

/* pitchMulVolumeId */

static MMIPACKET d014 = {	&pitchMulVolumeId,
							&pitchSubDialogId,
							&MJ_SCRLL40,
							OFFSET(SCRLL40),
							MS_NONE
						} ;
static SCRLL40	d014d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_HORIL40,
							  72, 248, 503, 263, 8, 4, 7,
							MS_PANELL40 | MS_FRAMEL40,
							pitchMulSet,
							  30,-160, 160,   1,   8,
							 265, 266
						} ;

/* pitchMulNumId */

static MMIPACKET d015 = {	&pitchMulNumId,
							&pitchSubDialogId,
							&MJ_NUMBOXL40,
							OFFSET(NUMBOXL40),
							MS_NONE
						} ;
static NUMBOXL40	d015d = 	{	MS_BTLEFTL40 | MS_REPEATL40 | MS_EVMOSONL40 | MS_EVKEYONL40 | MS_RIGHTL40,
							 519, 244, 574, 267, 8, 4, 8,
							MS_PANELL40 | MS_DFRAMEL40 | MS_FRAMEL40,
							pitchMulSet,
							   1,  12,  12,
							MS_NONEL40,
							   0,   0,
							  30,-160, 160,   1,   0,
							 263, 264
						} ;

/* pitchMesId[6] */

static MMIPACKET d016 = {	&pitchMesId[6],
							&pitchSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d016d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 251, 190, 300, 207, 0,15, 8,
							MS_NONEL40,
							"  ",
							   1,  12,  12,
							MS_BOLDL40,
							   0,   0
						} ;

/* pitchMesId[7] */

static MMIPACKET d017 = {	&pitchMesId[7],
							&pitchSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d017d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 299, 190, 380, 207, 0,15, 8,
							MS_NONEL40,
							"i100 = j",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* pitchMesId[8] */

static MMIPACKET d018 = {	&pitchMesId[8],
							&pitchSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d018d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 123, 212, 160, 226, 0,15, 8,
							MS_NONEL40,
							"-1200",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* pitchMesId[9] */

static MMIPACKET d019 = {	&pitchMesId[9],
							&pitchSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d019d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 196, 212, 233, 226, 0,15, 8,
							MS_NONEL40,
							"-600",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* pitchMesId[10] */

static MMIPACKET d020 = {	&pitchMesId[10],
							&pitchSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d020d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 280, 212, 298, 226, 0,15, 8,
							MS_NONEL40,
							"0",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* pitchMesId[11] */

static MMIPACKET d021 = {	&pitchMesId[11],
							&pitchSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d021d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 348, 212, 375, 226, 0,15, 8,
							MS_NONEL40,
							"600",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* pitchMesId[12] */

static MMIPACKET d022 = {	&pitchMesId[12],
							&pitchSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d022d = 	{	MS_CENTERL40 | MS_DSPONLYL40,
							 419, 212, 446, 226, 0,15, 8,
							MS_NONEL40,
							"1200",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* pitchMesId[13] */

static MMIPACKET d023 = {	&pitchMesId[13],
							&pitchSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d023d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							  94, 234, 293, 248, 0,15, 8,
							MS_NONEL40,
							"| | | | | | | | | | | | | | | |",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* pitchMesId[14] */

static MMIPACKET d024 = {	&pitchMesId[14],
							&pitchSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d024d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 286, 234, 485, 248, 0,15, 8,
							MS_NONEL40,
							"| | | | | | | | | | | | | | | | |",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* pitchMesId[15] */

static MMIPACKET d025 = {	&pitchMesId[15],
							&pitchSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d025d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 142, 228, 160, 242, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* pitchMesId[16] */

static MMIPACKET d026 = {	&pitchMesId[16],
							&pitchSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d026d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 214, 228, 232, 242, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* pitchMesId[17] */

static MMIPACKET d027 = {	&pitchMesId[17],
							&pitchSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d027d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 286, 228, 305, 242, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* pitchMesId[18] */

static MMIPACKET d028 = {	&pitchMesId[18],
							&pitchSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d028d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 358, 228, 377, 242, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

/* pitchMesId[19] */

static MMIPACKET d029 = {	&pitchMesId[19],
							&pitchSubDialogId,
							&MJ_MSGL40,
							OFFSET(MSGL40),
							MS_NONE
						} ;
static MSGL40	d029d = 	{	MS_LEFTL40 | MS_DSPONLYL40,
							 430, 228, 449, 242, 0,15, 8,
							MS_NONEL40,
							"|",
							   1,  12,  12,
							MS_NONEL40,
							   0,   0
						} ;

